/* Change bookmarks bar color to be the same as top toolbar */
:root {
  --firefoxcss-bookmarks-bg-color: var(--firefoxcss-item-bg-color) !important;
}


/* ----- Remove search engines from the search/url bar ----- */
#urlbar .search-one-offs:not([hidden]) {
  display:none !important;
}

/* ----- Hide "List all tabs" button. 
Only shows up on tab overflow ----- */
#tabbrowser-tabs:not([overflow="true"]) ~ #alltabs-button {
	display: none !important;
}

/* ----- Firefox view icon change ----- */
#navigator-toolbox #firefox-view-button {
	list-style-image: url(../image/files.svg) !important;
}

/* leaves space for the window buttons */
#nav-bar {
  margin-top: -30px !important;
	margin-right: 138px !important;
	margin-bottom: -4px !important;
}

/* hides the sidebar header */
#sidebar-header {
	display: none !important;
}

.tab[selected="true"] {
	visibility: collapse;
}

.tabbrowser-tab {
	visibility: collapse;
}

.tabbrowser-tab[visuallyselected="true"] {
	visibility: collapse;
}

/* Credits to https://github.com/MrOtherGuy for hthe following snippet*/

/* Source file https://github.com/MrOtherGuy/firefox-csshacks/tree/master/chrome/autohide_sidebar.css made available under Mozilla Public License v. 2.0
See the above repository for updates as well as full license text. */

/* Show sidebar only when the cursor is over it */
/* The border controlling sidebar width will be removed so you'll need to modify these values to change width */

#sidebar-box{
  --uc-sidebar-width: 44px; /* Only thing I (gale) changed */
  --uc-sidebar-hover-width: 210px;
  --uc-autohide-sidebar-delay: 600ms; /* Wait 0.6s before hiding sidebar */
  position: relative;
  min-width: var(--uc-sidebar-width) !important;
  width: var(--uc-sidebar-width) !important;
  max-width: var(--uc-sidebar-width) !important;
  z-index:1;
}

#sidebar-box[positionend]{ direction: rtl }
#sidebar-box[positionend] > *{ direction: ltr }

#sidebar-box[positionend]:-moz-locale-dir(rtl){ direction: ltr }
#sidebar-box[positionend]:-moz-locale-dir(rtl) > *{ direction: rtl }

#main-window[sizemode="fullscreen"] #sidebar-box{ --uc-sidebar-width: 1px; }

#sidebar-splitter{ display: none }

#sidebar-header{ overflow: hidden; color: var(--chrome-color, inherit) !important}

#sidebar{
  transition: min-width 115ms linear var(--uc-autohide-sidebar-delay) !important;
  min-width: var(--uc-sidebar-width) !important;
  will-change: min-width;
}

#sidebar-box:hover > #sidebar{ min-width: var(--uc-sidebar-hover-width) !important; transition-delay: 0ms !important }

.sidebar-panel{
  background-color: transparent !important;
  color: var(--newtab-text-primary-color) !important;
}

.sidebar-panel #search-box{
  -moz-appearance: none !important;
  background-color: rgba(249,249,250,0.1) !important; 
  color: inherit !important;
}

/* Add sidebar divider and give it background */

#sidebar,
#sidebar-header{
  background-color: inherit !important;
  border-inline: 1px solid rgb(80,80,80);
  border-inline-width: 0px 1px;
}

#sidebar-box:not([positionend]) > :-moz-locale-dir(rtl),
#sidebar-box[positionend] > *{
  border-inline-width: 1px 0px;
}

/* Move statuspanel to the other side when sidebar is hovered so it doesn't get covered by sidebar */

#sidebar-box:not([positionend]):hover ~ #appcontent #statuspanel{ inset-inline: auto 0px !important; }
#sidebar-box:not([positionend]):hover ~ #appcontent #statuspanel-label{ margin-inline: 0px !important; border-left-style: solid !important; }


/* Mac style buttons */
/* ----- Move menu buttons to the left side ----- */
:root {
  --toolbar-start-end-padding: 2px !important; /* padding of frst and last child ,default - 8px */
}


#nav-bar #PanelUI-button {
  -moz-box-ordinal-group: 0 !important;
}

#nav-bar #PanelUI-button #PanelUI-menu-button {
  padding-right: 2px !important;
  padding-left: 4px !important;
}

toolbar:not([customizing]) > #nav-bar-overflow-button {
  -moz-box-ordinal-group: 1 !important;
}

toolbar:not([customizing]) > #nav-bar-customization-target {
  -moz-box-ordinal-group: 2 !important;
}

/* Fix popup position */
#appMenu-popup {
  margin-inline: -244px !important;
}

/* ----------------------------------------------------------------- */
/* ---------- MacOS style close/min/max window buttons ------------- */
/* ----------------------------------------------------------------- */
#nav-bar {
  padding-left: 0px !important;
  padding-right: 90px !important;
}

#navigator-toolbox:not([inFullscreen])
  #TabsToolbar
  .titlebar-buttonbox-container {
  visibility: visible !important;
  display: block !important;
  position: absolute !important;
  top: 2px !important;
  left: unset !important;
  right: 0 !important;
  padding-top: 10px !important;
  padding-bottom: 2px !important;
  padding-right: 8px  !important;
  padding-left: 2px !important; 
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-button {
	width: 14px !important;
  min-width: 14px !important;
  min-height: 14px !important;
  height: 14px !important;
}

#navigator-toolbox[inFullscreen] #TabsToolbar .titlebar-buttonbox-container{
	padding-top:4px !important;
	padding-bottom: 4px !important;
	padding-right: 8px  !important;
	padding-left: 4px  !important;
	margin: 0 !important;
	display: block !important;
  display: -moz-box !important;
	-moz-box-align: center !important;
}

:root:-moz-window-inactive:not([customizing])
  :is(.titlebar-buttonbox)
  > toolbarbutton:not(:hover) {
  opacity: 0.65 !important;
}

:is(.titlebar-buttonbox) .toolbarbutton-icon {
  opacity: 1 !important;
  appearance: none !important;
}

#TabsToolbar .titlebar-button > .toolbarbutton-icon {
  width: 14px !important;
  min-width: 14px !important;
  min-height: 14px !important;
  height: 14px !important;
  stroke: none !important;
}

#TabsToolbar .titlebar-buttonbox {
  margin-right: 2px !important;
  margin-left: 0px !important;
}

#TabsToolbar .titlebar-button {
  background-color: transparent !important;
  appearance: none !important;
  padding: 0px !important;
  margin: 0 !important;
  padding-left: 0px !important;
  padding-right: 0px !important;
}

#TabsToolbar .titlebar-close {
  appearance: none !important;
  -moz-box-ordinal-group: 2 !important;
}

#TabsToolbar .titlebar-min {
  appearance: none !important;
  -moz-box-ordinal-group: 0 !important;
}

#TabsToolbar .titlebar-max,
#TabsToolbar .titlebar-restore {
  appearance: none !important;
  -moz-box-ordinal-group: 1 !important;
}

#TabsToolbar .titlebar-buttonbox-container:not(:hover) .titlebar-buttonbox .titlebar-button {
  background-color: hsla(0, 0%, 65%, 1)  !important;
  transition:  background-color 400ms ease 400ms  !important;
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-button > .toolbarbutton-icon {
  list-style-image: none  !important;
   margin: 0px !important;
  padding: 0px !important;
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-buttonbox .titlebar-button {
  border-radius: 50% !important;
  margin-left: 8px !important;
  position: relative !important;
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-min{
  background-color: #fac536 !important;
	overflow: hidden !important;
  transition:  background-color 200ms ease !important;
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-min::before{
	content: '';
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 70%;
	height: 2px;
	opacity: 0;
	background:  rgba(0, 0, 0, 0.6);
  border-radius: 2px;
	transition: 200ms;
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-min:hover::before{
	opacity: 1;
	top: 50%;
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-max,
#TabsToolbar .titlebar-buttonbox-container .titlebar-restore{
	background: #39ea49 !important;
	overflow: hidden !important;
   transition:  background-color 200ms ease !important;
}
#TabsToolbar .titlebar-buttonbox-container .titlebar-max::before{
	content: '';
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 55%;
	height: 55%;
	opacity: 0;
	background:  rgba(0, 0, 0, 0.6);
  border-radius: 2px;
	transition: 200ms;
}
#TabsToolbar .titlebar-buttonbox-container .titlebar-max::after{
	content: '';
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(-45deg);
	width: 3px;
	height: 80%;
	opacity: 0;
	background: #39ea49;
	transition: 200ms;
}
#TabsToolbar .titlebar-buttonbox-container .titlebar-max:hover::before, 
#TabsToolbar .titlebar-buttonbox-container .titlebar-max:hover::after{
	opacity: 1;
	top: 50%;
}
#TabsToolbar .titlebar-buttonbox-container .titlebar-close{
	background: #f25056 !important;
	overflow: hidden !important;
   transition:  background-color 200ms ease !important;
}
#TabsToolbar .titlebar-buttonbox-container .titlebar-close::before{
	content: '';
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(-45deg);
	width: 2px;
	height: 9px;
	opacity: 0;
	background:  rgba(0, 0, 0, 0.65);
  border-radius: 1px;
	transition: 200ms;
}
#TabsToolbar .titlebar-buttonbox-container .titlebar-close::after{
	content: '';
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(45deg);
	width: 2px;
	height: 9px;
  opacity: 0;
	background: rgba(0, 0, 0, 0.65);
   border-radius: 1px;
	transition: 200ms;
 
}
#TabsToolbar .titlebar-buttonbox-container .titlebar-close:hover::before, 
#TabsToolbar .titlebar-buttonbox-container .titlebar-close:hover::after{
	opacity: 1;
	top: 50%;
}

  #TabsToolbar .titlebar-buttonbox-container .titlebar-restore:before {
	content: '';
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 8px;
	height: 8px;
	opacity: 0;
	background: rgba(0, 0, 0, 0.65);
  border-radius: 2px;
	transition:200ms;
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-restore:after{
	content: '';
	position: absolute;
	top: 100%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 4px;
	height: 4px;
	opacity: 0;
	background: #39ea49;
   border-radius: 0px;
	transition: 200ms;
}

#TabsToolbar .titlebar-buttonbox-container .titlebar-restore:hover::before, 
#TabsToolbar .titlebar-buttonbox-container .titlebar-restore:hover::after{
	opacity: 1;
	top: 50%;
}

#navigator-toolbox #TabsToolbar .titlebar-buttonbox-container {
  -moz-box-ordinal-group: 1 !important;
}
#navigator-toolbox[inFullscreen] #navigator-toolbox #TabsToolbar .titlebar-buttonbox-container {
  -moz-box-ordinal-group: 1 !important;
}

@media only screen and (max-width: 670px) {
  #main-window #navigator-toolbox:not([inFullscreen])
    #TabsToolbar
    .titlebar-buttonbox-container {
    visibility: visible !important;
		position: relative !important;
		padding-top: 6px !important;
		padding-bottom: 2px !important;
		padding-right: 8px  !important;
		padding-left: 2px !important; 
  }
  
  #main-window #navigator-toolbox:not([inFullscreen]) #nav-bar {
    padding-right: initial !important;
}
}
